using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Ietf.FLUTE
{
	internal class FluteListenerMime : FluteListener
	{
		public FluteListenerMime(IPAddress destinationAddress, ushort destinationPort, ulong destinationTsi, ulong destinationToi) : base(destinationAddress, destinationPort, destinationTsi, destinationToi)
		{
		}

		public Stream WrappedStream { get; set; }

		public override Stream ToStream()
		{
			return WrappedStream;
		}
	}
}
